XScreenSaver(1)

NAME
starfish - radially-symmetric throbbing colormap-hacking graphics demo

SYNOPSIS
starfish [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-delay usecs] [-delay2 secs] [-cycle-delay2 usecs] [-thickness pixels] [-rotation degrees] [-duration seconds] [-colors int] [-cycle] [-no-cycle] [-blob] [-no-blob]

DESCRIPTION
The starfish program draws radially symmetric objects, which expand, contract, rotate, and turn inside out. It uses these shapes to lay down a field of smooth colors, and then rotates the colormap.

OPTIONS
starfish accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-delay microseconds
    How much of a delay should be introduced between steps of the animation. Default 10000, or about 1/100th second.

-cycle-delay microseconds
    How long to wait between shifting the colormap by one step. Default 100000, or about 1/10th second.

-thickness pixels
    How wide each color band should be. Default 0, meaning random (the chosen value will be between 0 and 15.)

-rotation degrees
    How quickly the objects should rotate at each step. Default 0, meaning random (the chosen value will be between 0 and 12 degrees.)

-colors int
    How many colors to use. Default 200. The more colors, the smoother the transitions will be, and the nicer the resultant images.

-cycle

-no-cycle
    Whether to do colormap cycling. Default true.

-duration seconds
    How long to run before choosing a new shape. Default 30 seconds.

-delay2 seconds
    When duration expires, how long to wait before starting a new run. Default 5 seconds.

-blob

-no-blob
    If blob option is specified, then the raw shapes will be shown, instead of a field of colors generated from them.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 1997 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 14-Jun-97.